Name:           perl-JSON-Any
Version:        1.16
Release:        3%{?dist}
Summary:        A meta-module to make working with JSON easier
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/JSON-Any/
Source0:        http://www.cpan.org/authors/id/P/PE/PERIGRIN/JSON-Any-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Patch:          with_older_json.patch 

# JSON::XS is fastest, so we require it 
Requires:       perl(JSON::XS)

# core
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
# testing
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(JSON::XS)   >= 1.52
# optional tests -- JSON::Any can handle any of the following to actually do
# the JSON parsing.  We use JSON::XS above, as it's both already in Fedora and
# the fastest of the following.  As other JSON modules are added to Fedora,
# we'll uncomment the tests below.
BuildRequires:  perl(JSON)       
#BuildRequires:  perl(JSON::DWIM)
#BuildRequires:  perl(JSON::PC)
BuildRequires:  perl(JSON::Syck) 


%description
JSON::Any provides a coherent API to bring together the various JSON modules
currently on CPAN.

%prep
%setup -q -n JSON-Any-%{version}
%patch0 -p1

find .  -type f -exec chmod -c -x {} +
find t/ -type f -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|' {} +

cat Changes | iconv -f ISO-8859-1 -t UTF-8 > Changes.foo
mv  Changes.foo Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --default
make

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Mar 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.16-3
- patch to allow utf8 to work properly with JSON::XS earlier than version 2
- patch to skip JSON when JSON is earlier than version 2

* Wed Mar 12 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.16-2
- bump

* Sun Mar 09 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.16-1
- Specfile autogenerated by cpanspec 1.74.
